Update a cloud instance

PUT/v1/cloud_computing/instances/{instance_id}

This PUT request to /v1/cloud_computing/instances/{instance_id} allows updating a cloud instance by changing options specified in the request body. An instance ID in a path parameter is required.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

instance_id*string

A unique identifier of a cloud instance.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/cloud_computing/instances/4oeElkd0" \  -H "Content-Type: application/json" \  -d '{    "name": "NEW-INSTANCE-NAME",    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "response_schema": "v1/cloud_computing/instances/show"  }'
{  "id": "4oeElkd0",  "openstack_uuid": "819b15f6-5f4d-46cb-a63f-f504fe3ac1d9",  "status": "ACTIVE",  "name": "NEW-INSTANCE-NAME",  "region_id": 0,  "region_code": "NL01",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "28.134.243.149",  "private_ipv4_address": null,  "local_ipv4_address": "38.180.79.178",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2026-05-28T07:06:36Z",  "updated_at": "2026-05-28T07:06:36Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  }}
{  "message": "Instance locked",  "code": "CONFLICT"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "name": "size cannot be greater than 253"  }}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}